Package org.jcsp.net

# Class NetChannelError

java.lang.Object
java.lang.Throwable
java.lang.Error
org.jcsp.net.NetChannelError

All Implemented Interfaces:
  `Serializable`

public class NetChannelError extends Error

This is an error that is thrown by a Networked channel if something happens that should never happen. This can occur if users disobey rules to do with the number of concurrent processes that are allowed to access a channel object at any instant.

Author:
  Quickstone Technologies Limited
See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`NetChannelError()`
Constructor for NetChannelError.
`NetChannelError(String message)`
Constructor for NetChannelError.

## Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### NetChannelError

public NetChannelError()

Constructor for NetChannelError.

### NetChannelError

public NetChannelError(String message)

Constructor for NetChannelError.

Parameters:
  `message` -